lsusb(8)

NAME
lsusb - list all USB devices

SYNOPSIS
lsusb [ options ]

DESCRIPTION
lsusb is a utility for displaying information about all USB buses in the system and all devices connected to them.

To make use of all the features of this program, you need to have a Linux kernel which supports the /proc/bus/usb interface (e.g., Linux kernel 2.3.15 or newer).

OPTIONS

-v  Tells lsusb to be verbose and display detailed information about all devices. You must be root for this to work.

-vv Tells lsusb to be very verbose and display even more information (actually everything the USB device is able to tell). You must be root for this to work.

-s [[bus]:][devnum]
    Show only devices in specified bus and/or devnum. Both ID's are given in hexadecimal and may be omitted.

-d [vendor]:[product]
    Show only devices with the specified vendor and product ID. Both ID's are given in hexadecimal.

-D device
    Do not scan the /proc/bus/usb directory, instead display only information about the device whose device file is given. The device file should be something like /proc/bus/usb/001/001. This option displays detailed information; you must be root to do this.

-t  Tells lsusb to dump the physical USB device hierarchy as a tree.

-x  This option is reserved for future use.

-V, --version
    Print version information on standard output, then exit successfully.

DIAGNOSTICS

cannot open /proc/bus/usb/nnn/nnn, Permission denied (13)
    To get detailed information, lsusb must open the files in /proc/bus/usb in read-write mode. You must be root in order to do this.

RETURN VALUE
If the specified device is not found, a non-zero exit code is returned.

FILES

/usr/share/misc/usb.ids
    A list of all known USB ID's (vendors, products, classes, subclasses and protocols).

/proc/bus/usb
    An interface to USB devices provided by the post-2.3.15 Linux kernels. Contains per-bus subdirectories with per-device files and a devices file containing a list of all USB devices. This interface is also support by some 2.2 Linux kernels.

SEE ALSO
lspci(8)

AUTHOR
Thomas Sailer, <sailer@ife.ee.ethz.ch>.